Groove 2007 has a new workspace version from Groove v3.x.  As a result, there are some compatibility issues to be aware of, as well as a simple workaround:

  • New workspaces created with Groove 2007 are only accessible by other Groove 2007 users.
  • You cannot invite Groove Virtual Office v3.X users to new workspaces you create with Groove 2007.
  • Groove 2007 users will only be able to add Groove 2007 tools into new and existing workspaces.
  • Most Groove 2007 tools cannot be added to workspaces created in earlier versions of Groove. If you attempt to add one of these tools to a Groove 2007 workspace, an error prompt displays.

Simply put, new users can participate in old spaces, but old users can't participate in new spaces.

A workaround...Create a workspace template from a v3 workspace

Here is a simple workaround to enable a Groove 2007 user to create spaces that v3 users can join:

  1. Take an existing v3 space (or have a v3 user create one for you).
  2. Arrange the space the way you like -- just don't add any new 2007 tools to it.
  3. At the File menu, choose File-->Save Workspace As-->Template
  4. Decide if you want to keep the data and members - for this purpose you probably do not.
  5. Name the template "v3 compatible"
  6. Now when you create a new workspace, you will be able to select your workspace template -- pick your new "v3 compatible" template, and your new space is created as a v3 version, and you can invite your v3 users!
  7. Note that you won't be able to add additional 2007 tools to the space -- it’s a v3 space, so only v3 tools.

While this simple template doesn't enable all the capabilities of the v3 workspace (you can't add Doc Review, for example), it does help you keep working with v3 users until you can convince them to upgrade!

For the deployment at Microsoft, we discussed including a v3 workspace template as part of the customized installation package.  While it is pretty simple to accomplish, we decided against doing that in order to help drive 2007 adoption.  While this caused some short term pain internally, now that 2007 is widely available internally, it is seldom an issue.

More on upgrading next….

Link to this article:

http://blogs.technet.com/groove/archive/2007/02/23/workspace-compatibility.aspx